from    mako.template      import Template
from    config             import globalvar

class main:

    def __init__(self):
        pass

    def html(self, params):
        return Template(params["mako"]["website"]['index']).render(
            title	= globalvar.title,
            navbar	= Template(params["mako"]["website"]['navbar']).render(
                title       = globalvar.title,
                menu		= globalvar.menu['public']['navbar'],
                user_roles	= ["guest"],
                active_page	= "Home"
            ),
            footer	= Template(params["mako"]["website"]['footer']).render(
                copyright	= globalvar.copyright,
            ),
            container	= Template(params["mako"]["website"]['container']).render(
                header	= "Welcome to CostaCoffe",
                sub_header = "Best Place To Buy Coffe",
                header_desc	= "Experience the rich flavors and aromas of our premium coffee"
            )
        )
